> ## Documentation Index
> Fetch the complete documentation index at: https://smartcar.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vehicle

> Get Vehicle by ID.



## OpenAPI

````yaml /specs/vehicle.yml get /vehicles/{vehicleId}
openapi: 3.0.3
info:
  title: Smartcar Vehicle API
  version: 3.0.0
  description: API for vehicle data (signals) and operations (commands).
servers:
  - url: https://vehicle.api.smartcar.com/v3
security: []
tags:
  - name: Charging
    description: Commands for controlling vehicle charging behavior.
  - name: Security
    description: Commands for controlling vehicle door locks.
  - name: Navigation
    description: Commands for setting destinations in the vehicle navigation system.
  - name: Command Executions
    description: Retrieve the recorded result of a previously issued vehicle command.
  - name: Charge Schedules
    description: Create, retrieve, and delete recurring charge schedules on a vehicle.
  - name: Schedule Executions
    description: >-
      Retrieve the recorded result of a previously issued schedule create or
      delete request.
paths:
  /vehicles/{vehicleId}:
    get:
      summary: Get vehicle
      description: Get Vehicle by ID.
      operationId: getVehicle
      parameters:
        - in: path
          name: vehicleId
          description: The unique identifier for the vehicle.
          schema:
            type: string
          example: v_123abc456def
          required: true
      responses:
        '200':
          description: Vehicle details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleDataResource'
        '400':
          $ref: '#/components/responses/BadRequest1'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound1'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
components:
  schemas:
    VehicleDataResource:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/VehicleResource'
      example:
        data:
          id: vehicle123
          type: vehicle
          attributes:
            make: Toyota
            model: Camry
            year: 2020
            powertrainType: ICE
            mode: live
          links:
            self: /vehicles/vehicle123
    VehicleResource:
      type: object
      properties:
        id:
          type: string
          description: |
            The unique identifier for the vehicle
        type:
          type: string
          enum:
            - vehicle
        attributes:
          $ref: '#/components/schemas/VehicleAttributes'
        links:
          type: object
          allOf:
            - $ref: '#/components/schemas/SelfLink'
    ErrorResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          minItems: 1
          items:
            type: object
            required:
              - status
              - type
              - code
              - title
              - detail
            properties:
              status:
                type: string
              type:
                type: string
                enum:
                  - AUTHENTICATION
                  - BILLING
                  - COMPATIBILITY
                  - CONNECTED_SERVICES_ACCOUNT
                  - RATE_LIMIT
                  - RESOURCE_NOT_FOUND
                  - SERVER
                  - UPSTREAM
                  - VALIDATION
                  - VEHICLE_STATE
              code:
                type: string
              title:
                type: string
              detail:
                type: string
              resolution:
                type: object
                description: >-
                  Optional field providing guidance on how to resolve the error,
                  if applicable. The structure of this object can vary based on
                  the error type and is intended to provide actionable
                  information to clients.
                properties:
                  type:
                    type: string
                    description: >-
                      The type of resolution recommended (e.g., "RETRY_LATER",
                      "CONTACT_SUPPORT", etc.)
              suggestedUserMessage:
                type: string
                description: >-
                  Optional field providing a user-friendly message that can be
                  displayed to end-users, if applicable. This message is
                  intended to be easily understandable and actionable for users
                  who encounter the error.
              links:
                type: object
                properties:
                  about:
                    type: string
                    format: uri
              meta:
                type: object
                properties:
                  debug:
                    type: object
                    description: >-
                      Debug information for internal use, not intended for
                      clients
                    properties:
                      applicationId:
                        type: string
                        description: The unique identifier for the application
                      requestId:
                        type: string
                        description: The unique identifier for the request
                      origin:
                        type: string
                        description: The origin of the error
                    example:
                      applicationId: app_123abc
                      requestId: req_456def
                      origin: internal.com/path
    VehicleAttributes:
      type: object
      properties:
        make:
          type: string
        model:
          type: string
        year:
          type: integer
        powertrainType:
          type: string
        mode:
          $ref: '#/components/schemas/VehicleMode'
    SelfLink:
      type: object
      properties:
        self:
          type: string
          description: |
            The URL to access the current resource.
    VehicleMode:
      type: string
      description: The mode of the vehicle
      enum:
        - live
        - simulated
      example: live
  responses:
    BadRequest1:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            errors:
              - status: '400'
                type: VALIDATION
                code: BAD_REQUEST
                title: Bad Request
                detail: >-
                  The request could not be understood by the server due to
                  malformed syntax.
                links:
                  about: >-
                    https://smartcar.com/docs/errors/api-errors/v3/validation-errors
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            errors:
              - status: '401'
                type: AUTHENTICATION
                code: UNAUTHORIZED
                title: Unauthorized
                detail: The Authorization token is missing or invalid.
                links:
                  about: >-
                    https://smartcar.com/docs/errors/api-errors/v3/authentication-errors#authentication
    Forbidden:
      description: 403 Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            errors:
              - status: '403'
                type: AUTHENTICATION
                code: FORBIDDEN
                title: Forbidden
                detail: You do not have permission to access this resource.
                links:
                  about: >-
                    https://smartcar.com/docs/errors/api-errors/v3/authentication-errors
    NotFound1:
      description: 404 Not Found
      content:
        application/json:
          schema:
            type: object
            required:
              - errors
            properties:
              errors:
                type: array
                minItems: 1
                items:
                  type: object
                  required:
                    - status
                    - type
                    - code
                    - title
                    - detail
                  properties:
                    status:
                      type: string
                    type:
                      type: string
                      enum:
                        - AUTHENTICATION
                        - BILLING
                        - COMPATIBILITY
                        - CONNECTED_SERVICES_ACCOUNT
                        - RATE_LIMIT
                        - RESOURCE_NOT_FOUND
                        - SERVER
                        - UPSTREAM
                        - VALIDATION
                        - VEHICLE_STATE
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
                    resolution:
                      type: object
                      description: >-
                        Optional field providing guidance on how to resolve the
                        error, if applicable. The structure of this object can
                        vary based on the error type and is intended to provide
                        actionable information to clients.
                      properties:
                        type:
                          type: string
                          description: >-
                            The type of resolution recommended (e.g.,
                            "RETRY_LATER", "CONTACT_SUPPORT", etc.)
                    suggestedUserMessage:
                      type: string
                      description: >-
                        Optional field providing a user-friendly message that
                        can be displayed to end-users, if applicable. This
                        message is intended to be easily understandable and
                        actionable for users who encounter the error.
                    links:
                      type: object
                      properties:
                        about:
                          type: string
                          format: uri
                    meta:
                      type: object
                      properties:
                        debug:
                          type: object
                          description: >-
                            Debug information for internal use, not intended for
                            clients
                          properties:
                            applicationId:
                              type: string
                              description: The unique identifier for the application
                            requestId:
                              type: string
                              description: The unique identifier for the request
                            origin:
                              type: string
                              description: The origin of the error
                          example:
                            applicationId: app_123abc
                            requestId: req_456def
                            origin: internal.com/path
          example:
            errors:
              - status: '404'
                type: RESOURCE_NOT_FOUND
                code: NOT_FOUND
                title: Not Found
                detail: The requested resource could not be found.
                links:
                  about: >-
                    https://smartcar.com/docs/errors/api-errors/v3/resource-not-found-errors
    InternalError:
      description: 500 Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            errors:
              - status: '500'
                type: SERVER
                code: INTERNAL
                title: Internal Server Error
                detail: An unexpected error occurred on the server.
                links:
                  about: https://smartcar.com/docs/errors/api-errors/v3/server-errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or opaque
      description: |
        The Authorization header must be provided with a valid bearer token.
        Example: `Authorization: Bearer {token}`

````